Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util
Class LatexHelper

    java.lang.Object
      mro.util.LatexHelper

    public class LatexHelper

extends java.lang.Object

A helper class. Some functions used when printing Latex-documents.

Constructor Summary
`LatexHelper()`

Method Summary
`static void` | `printBeginTextSize(java.io.PrintWriter pw, int textSize)`
`static void` | `printEndTextSize(java.io.PrintWriter pw, int textSize)`
`static void` | `printHLine(java.io.PrintWriter pw)`
`static void` | `printLatexEnd(java.io.PrintWriter pw)`
`static void` | `printLatexHead(java.io.PrintWriter pw)`
`static void` | `printTableEnd(java.io.PrintWriter pw)`
`static void` | `printTableEnd(java.io.PrintWriter pw, int textSize)`
`static void` | `printTableEnd(java.io.PrintWriter pw, java.lang.String caption, java.lang.String label)`
`static void` | `printTableEnd(java.io.PrintWriter pw, java.lang.String caption, java.lang.String label, int textSize)`
`static void` | `printTableHead(java.io.PrintWriter pw, int numberOfColumns)`
`static void` | `printTableHead(java.io.PrintWriter pw, int numberOfColumns, int textSize)`
`static void` | `printTableHead(java.io.PrintWriter pw, java.util.Vector<java.lang.String> columnTitles, boolean rowTitles)`
`static void` | `printTablePartHorizontalLine(java.io.PrintWriter pw, java.lang.String multiString)`
`static void` | `printTableRow(java.io.PrintWriter pw, java.util.Vector<java.lang.String> values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatexHelper

    public LatexHelper()

Method Detail

### printLatexHead

    public static void printLatexHead(java.io.PrintWriter pw)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### printTableHead

    public static void printTableHead(java.io.PrintWriter pw,
                                      java.util.Vector<java.lang.String> columnTitles,
                                      boolean rowTitles)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### printTableHead

    public static void printTableHead(java.io.PrintWriter pw,
                                      int numberOfColumns)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### printTableHead

    public static void printTableHead(java.io.PrintWriter pw,
                                      int numberOfColumns,
                                      int textSize)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### printHLine

    public static void printHLine(java.io.PrintWriter pw)

### printTablePartHorizontalLine

    public static void printTablePartHorizontalLine(java.io.PrintWriter pw,
                                                    java.lang.String multiString)

### printTableRow

    public static void printTableRow(java.io.PrintWriter pw,
                                     java.util.Vector<java.lang.String> values)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### printTableEnd

    public static void printTableEnd(java.io.PrintWriter pw,
                                     java.lang.String caption,
                                     java.lang.String label)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### printTableEnd

    public static void printTableEnd(java.io.PrintWriter pw,
                                     java.lang.String caption,
                                     java.lang.String label,
                                     int textSize)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### printTableEnd

    public static void printTableEnd(java.io.PrintWriter pw)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### printTableEnd

    public static void printTableEnd(java.io.PrintWriter pw,
                                     int textSize)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### printLatexEnd

    public static void printLatexEnd(java.io.PrintWriter pw)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### printBeginTextSize

    public static void printBeginTextSize(java.io.PrintWriter pw,
                                          int textSize)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### printEndTextSize

    public static void printEndTextSize(java.io.PrintWriter pw,
                                        int textSize)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD